%{?mingw_package_header}

Name: mingw-libgovirt
Version: 0.3.4
Release: 9%{?dist}
Summary: MinGW support for a GObject library for interacting with oVirt REST API

Group: Development/Libraries
License: LGPLv2+
URL: http://people.freedesktop.org/~teuf/govirt/
Source: http://download.gnome.org/sources/libgovirt/0.3/libgovirt-%{version}.tar.xz

BuildArch: noarch
ExclusiveArch: %{ix86} x86_64

Requires: pkgconfig
Requires: glib2-devel
BuildRequires: glib2-devel
BuildRequires: intltool
BuildRequires: mingw32-rest >= 0.7.92
BuildRequires: mingw64-rest >= 0.7.92
Patch01: 0001-proxy-Fix-persistent-session-with-oVirt-3.6.patch
Patch02: 0002-Force-use-of-v3-REST-API.patch
Patch03: 0003-New-storage-format-added-in-oVirt-4.1.patch
Patch04: 0004-proxy-Hold-reference-to-cancellable-object.patch
Patch05: 0005-proxy-Check-if-operation-is-cancelled-before-disconn.patch
Patch06: 0006-storage-domain-Factor-out-property-value-setting-fro.patch
Patch07: 0007-storage-domain-use-explicit-initialization-of-struct.patch
Patch08: 0008-storage-domain-Move-out-ovirt_resource_parse_xml-to-.patch
Patch09: 0009-utils-Remove-unused-function-ovirt_rest_xml_node_get.patch
Patch10: 0010-utils-Rename-ovirt_rest_xml_node_get_content_va-to-o.patch
Patch11: 0011-utils-Retrieve-node-attributes-in-ovirt_resource_par.patch
Patch12: 0012-utils-Support-G_TYPE_STRING-in-_set_property_value_f.patch
Patch13: 0013-utils-Support-G_TYPE_STRV-in-_set_property_value_fro.patch
Patch14: 0014-Introduce-auxiliary-function-ovirt_sub_collection_ne.patch
Patch15: 0015-New-API-functions-to-enable-search-queries-of-collec.patch
Patch16: 0016-Introduce-ovirt_resource_new-functions.patch
Patch17: 0017-Use-ovirt_resource_new-functions-instead-of-g_initab.patch
Patch18: 0018-Move-resource-type-definitions-to-ovirt-types.h.patch
Patch19: 0019-Initial-support-for-hosts.patch
Patch20: 0020-Initial-support-for-clusters.patch
Patch21: 0021-Initial-support-for-data-centers.patch
Patch22: 0022-vm-Introduce-ovirt_vm_get_host.patch
Patch23: 0023-vm-Introduce-ovirt_vm_get_cluster.patch
Patch24: 0024-host-Introduce-ovirt_host_get_cluster.patch
Patch25: 0025-cluster-Introduce-ovirt_cluster_get_data_center.patch
Patch26: 0026-storage-domain-Retrieve-data-center-ids.patch
Patch27: 0027-Add-missing-include-in-govirt.h.patch
Patch28: 0028-resource-Fix-ovirt_resource_rest_call_sync-return-va.patch
Patch29: 0029-resource-Fix-ovirt_resource_rest_call_sync-crash-on-.patch
Patch30: 0030-resource-Fix-ovirt_resource_init_from_xml_real-preco.patch
Patch31: 0031-resource-Update-xml-node-in-ovirt_resource_init_from.patch
Patch32: 0032-utils-Drop-type-member-from-OvirtXmlElement-struct.patch
Patch33: 0033-Makefile.patch

%description
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw32-libgovirt
Summary:        %{summary}

%description -n mingw32-libgovirt
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw32-libgovirt-static
Summary:        %{summary}
Requires:       mingw32-libgovirt = %{version}-%{release}

%description -n mingw32-libgovirt-static
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw64-libgovirt
Summary:        %{summary}

%description -n mingw64-libgovirt
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw64-libgovirt-static
Summary:        %{summary}
Requires:       mingw64-libgovirt = %{version}-%{release}

%description -n mingw64-libgovirt-static
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%{?mingw_debug_package}

%prep
%setup -q -n libgovirt-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1


%build
%mingw_configure                            \
    --disable-gtk-doc                       \
    --with-introspection=no                 \
    --enable-static

%mingw_make %{?_smp_mflags} V=1

%install
%mingw_make_install "DESTDIR=$RPM_BUILD_ROOT" "INSTALL=install -p"

%mingw_find_lang libgovirt --all-name

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete

%files -n mingw32-libgovirt -f mingw32-libgovirt.lang
%doc AUTHORS COPYING MAINTAINERS README
%{mingw32_bindir}/libgovirt-2.dll
%{mingw32_libdir}/libgovirt.dll.a
%{mingw32_libdir}/pkgconfig/govirt-1.0.pc
%dir %{mingw32_includedir}/govirt-1.0/
%dir %{mingw32_includedir}/govirt-1.0/govirt/
%{mingw32_includedir}/govirt-1.0/govirt/*.h

%files -n mingw32-libgovirt-static
%{mingw32_libdir}/libgovirt.a

%files -n mingw64-libgovirt -f mingw64-libgovirt.lang
%doc AUTHORS COPYING MAINTAINERS README
%{mingw64_bindir}/libgovirt-2.dll
%{mingw64_libdir}/libgovirt.dll.a
%{mingw64_libdir}/pkgconfig/govirt-1.0.pc
%dir %{mingw64_includedir}/govirt-1.0/
%dir %{mingw64_includedir}/govirt-1.0/govirt/
%{mingw64_includedir}/govirt-1.0/govirt/*.h

%files -n mingw64-libgovirt-static
%{mingw64_libdir}/libgovirt.a

%changelog
* Fri Aug 17 2018 Eduardo Lima (Etrunko) <etrunko@redhat.com> - 0.3.2-7
- ExclusiveArch: i686, x86_64
- Sync with libgovirt package from RHEL-8
- New patch 0033-Makefile.patch
  Related: rhbz#1615874

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 24 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.3.2-1
- Initial Fedora packaging
